%define upstream_name    Test-Type
%define upstream_version v1.3.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Functions to validate data types in test files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Validate::Type) >= 1.5.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
Functions to validate data types in test files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1506585
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1286826
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 1.3.0-1.mga7
+ Revision: 1128975
- update to v1.3.0

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-2.mga6
+ Revision: 1034659
- Rebuild for perl 5.22.2

* Wed Apr 20 2016 shlomif <shlomif> 1.2.0-1.mga6
+ Revision: 1003860
- Importing from cpan2dist


* Wed Apr 20 2016 cpan2dist v1.2.0-1mga
- initial mageia release, generated with cpan2dist
